Subject: Re: bug#26604: documentation: pdf generation is broken

From: Chris Marusich <[email-masked]>
Date: Sat, 22 Apr 2017 21:14:56 -0700

ng0 <[email-masked]> writes:

> As long as I run guix I was never able to build the documentation
> as pdf. What's wrong with it?
>
> [user@abyayala ~/src/guix/guix]$ make doc/guix.pdf
>   TEXI2PDF doc/guix.pdf
>   /gnu/store/jz7jq4w8d4czvgnk9as07rrdbcfjjgjj-profile/bin/texi2dvi: pdftex exited with bad status, quitting.
>   make: *** [Makefile:3591: doc/guix.pdf] Error 1

I looked into this a week or two ago.  I think we're waiting for a newer
release of automake?  Perhaps John Darrington knows more.  See this
email thread, which I found at the time and seems to contain the
relevant information:

https://lists.gnu.org/archive/html/guix-devel/2017-02/msg01074.html

-- 
Chris